import { stringify } from 'qs';
import { request } from '@umijs/max';
import webpath from '@/utils/webPath';


export async function getUserSummary(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxsummary/usersummary`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}

export async function getUserCumulate(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxsummary/usercumulate`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}

export async function getInterfaceSummary(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxsummary/interfacesummary`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}
